Functions
Memorator
kvlclib

## Functions
KvlcStatus | kvlcFeedSelectFormat (KvlcHandle handle, int format)
KvlcStatus | kvlcFeedLogEvent (KvlcHandle handle, void *event)
KvlcStatus | kvlcFeedNextFile (KvlcHandle handle)

## Detailed Description

## Function Documentation

## ◆ kvlcFeedLogEvent()

KvlcStatus kvlcFeedLogEvent | ( | KvlcHandle | handle,
|  | void * | event
| ) |  |

Feed one event to the converter. Used when reading log files directly from device.

Note
  kvlcFeedLogEvent cannot be used along side a set input file, see kvlcSetInputFile.

Parameters

  [in] | handle | An open handle to a converter.
  [in] | event | Pointer to an event that matches the selected input format.

Returns
  kvlcOK (zero) if success
  kvlcFail (-1) if an input file has been set, see kvlcSetInputFile.
  kvlcERR_xxx (negative) if failure

See also
  kvlcFeedSelectFormat(), kvlcFeedNextFile(), kvlcIsOverrunActive()

## ◆ kvlcFeedNextFile()

KvlcStatus kvlcFeedNextFile | ( | KvlcHandle | handle | ) |

Notify the converter that next event in kvlcFeedLogEvent() will come from another file. Used when reading log files directly from device.

E.g. use this function with KVLC_FILE_FORMAT_MEMO_LOG when using KVMLIB to read events from a Kvaser Memorator connected to USB.

Parameters

  [in] | handle | An open handle to a converter.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcFeedLogEvent(), kvlcFeedSelectFormat()

## ◆ kvlcFeedSelectFormat()

KvlcStatus kvlcFeedSelectFormat | ( | KvlcHandle | handle,
|  | int | format
| ) |  |

Select feed format. Used when reading log files directly from device.

E.g. use this function with KVLC_FILE_FORMAT_MEMO_LOG when using KVMLIB to read events from a Kvaser Memorator connected to USB.

Parameters

  [in] | handle | An open handle to a converter.
  [in] | format | Input format, use FILE_FORMAT_xxx.

Returns
  kvlcOK (zero) if success
  kvlcERR_xxx (negative) if failure

See also
  kvlcFeedLogEvent(), kvlcFeedNextFile()